Subject: Re: [PATCH v5] introduce macro spin_event_timeout()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 12 Mar 2009 08:49:50 +1100

> No, not udelay.  Or any delay for that matter.  If spinning on a
> condition, then there is no advantage to burning cycles with a
> udelay().  Those cycles may as well be used to keep testing the
> condition so the loop can be exited faster.  a udelay() would only
> serve to always make the busywait longer.

Well, there's a non-empty set of HW where polling as fast as you can
will effectively prevent it to make fwd progress...

Ben.